Subject: bug#78739: 30.1; Performance issue with inline image in an org file

From: Ihor Radchenko <[email-masked]>
Date: Mon, 07 Jul 2025 18:01:19 +0000

laladrik <[email-masked]> writes:

> Also, I tried built Emacs with CFLAGS="-g -O0", but the perf report has the
> same data.  I still can't believe that I get the full information about the
> execution.  Do you have any other inputs about profiling Emacs by any chance?

Maybe try to build the call tree (perf -g). With -g -O0 the tree should
show which Elisp call tree is stuck in the library call.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>